cURL
curl https://reygrid.com/api/v1/validate \
-H "Authorization: Bearer $REYGRID_API_KEY"from reygrid import ReyGrid
client = ReyGrid(api_key="YOUR_API_KEY")
res = client.validate()
print(res.valid, res.usage.total, res.usage.quotaLimit)import { ReyGrid } from "reygrid";
const client = new ReyGrid({ apiKey: "YOUR_API_KEY" });
const { valid, usage } = await client.validate();
console.log(valid, usage.total, usage.quotaLimit);{
"success": true,
"valid": true,
"usage": {
"total": 1337,
"quotaLimit": 5000
}
}{
"error": "Unauthorized",
"code": "AUTH_REQUIRED"
}Health & keys
Validate API key
Validates the provided API key and returns usage information when the key is valid.
GET
/
validate
cURL
curl https://reygrid.com/api/v1/validate \
-H "Authorization: Bearer $REYGRID_API_KEY"from reygrid import ReyGrid
client = ReyGrid(api_key="YOUR_API_KEY")
res = client.validate()
print(res.valid, res.usage.total, res.usage.quotaLimit)import { ReyGrid } from "reygrid";
const client = new ReyGrid({ apiKey: "YOUR_API_KEY" });
const { valid, usage } = await client.validate();
console.log(valid, usage.total, usage.quotaLimit);{
"success": true,
"valid": true,
"usage": {
"total": 1337,
"quotaLimit": 5000
}
}{
"error": "Unauthorized",
"code": "AUTH_REQUIRED"
}